body{
    margin: 0px;
    background: black !important;
    padding: 0px;
}

body::-webkit-scrollbar {
    -webkit-appearance: none;
}

body::-webkit-scrollbar:vertical {
    width:10px;
    background: #000000;
}

body::-webkit-scrollbar-button:increment,body::-webkit-scrollbar-button {
    display: none;
} 

body::-webkit-scrollbar:horizontal {
    height: 10px;
}

body::-webkit-scrollbar-thumb {
    background-color: #000000;
    border-radius: 20px;
    border: 2px solid #ffffff;
}

/* Barra scroll */
#typing::after {
  content: "|";
  animation: blink 1s infinite;
}

span#typing{
         font-family: "Syne", sans-serif !important;
     font-weight: 600  !important;
     font-size: 30px  !important;
}

@keyframes blink {
  0% { opacity: 1; }
  50% { opacity: 0; }
  100% { opacity: 1; }
}

 main{
    display: flex;
    justify-content: center;
    align-items: start;
    background: url("/public/imagenes/banner.webp") center/cover no-repeat;
    min-height: 120vh;
    gap: 30px;
    padding: 0px;
    background-attachment: fixed;
    position: relative;
}

main::after{
    content:"";
    position:absolute;
    bottom:0;
    left:0;
    width:100%;
    height:250px;

    background:linear-gradient(
        to bottom,
        rgba(0,0,0,0),
        rgba(0,0,0,1)
    );

    pointer-events:none;
}

section.section {
    width: 100%;
    height: 100vh;
    background: linear-gradient(180deg,
    rgba(0, 0, 0, 0)90%,
    rgba(0, 0, 0, 0)95%,
    rgba(0, 0, 0, 1) 100%);
}

/* Menú */
header.menu{
    position: fixed;
    top: 130px;
    right: 100px;
    z-index: 99999999999999;
}

.menu i{
    font-size: 25px;
    transition: all 300ms ease;
}

body{
    position: relative;
    z-index: 0;
}

/* Scroll - iconos blancos cuando cambia el fondo */
/* cuando el menú cambia a blanco */
.menu.white-icons i,
.menu.white-icons a{
    color: white;
}
.menu.white-icons a:hover{
    color: white;
}

/* Links del menú */
.menu ul li a{
    text-decoration: none;
    color: black;
    font-family: "Syne", sans-serif;
    font-size: 20px;
    font-weight: 400;
    text-transform: uppercase;
    display: flex;
    justify-content: end;
    align-items: center;
    margin-right: 10px;
}

li.cv a{
    margin-right: 0px !important;
}

/* Contenedor del menú */
.menu ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: end;
    border: 1px solid rgba(255, 255, 255, 0.35);
    border-radius: 30px;
    padding: 18px 8px;
    gap: 20px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.02);
}

.menu ul li a{
    display: flex;
    align-items: center;
    gap: 10px;
}

.menu ul li a i{
    transition: 0.3s;
}

/* TEXTO OCULTO */
.hover-menu{
    position: absolute;
    right: 70px; /* distancia respecto al icono */
    opacity: 0;
    transform: translateX(20px);
    white-space: nowrap;
    transition: all 0.3s ease;
}

/* HOVER */
.menu ul li a:hover .hover-menu{
    opacity: 1;
}

.menu ul li{
    position: relative;
    list-style: none;
}

.menu ul li a{
    display: flex;
    justify-content: center;
    align-items: center;
}

/* HOVER */
.menu ul li:hover .hover-menu{
    opacity: 1;
    transform: translateX(0);
}

li.cv{
    background: rgb(17, 17, 17);
    border-radius: 100%;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cv a{
    color: white !important;
}

.introduction{
    max-width: 1300px;
}

.introducion-presentation h1{
     font-family: "Syne", sans-serif;
     font-weight: 750;
     font-size: 90px;
     width: 90%;
}

.introducion-presentation span{
     font-family: "Syne", sans-serif;
     font-weight: 700;
     font-size: 70px;
}

.introducion-presentation p{
     font-family: "Syne", sans-serif;
     font-weight: 600;
     font-size: 30px;
     max-width: 85%;
     line-height: 40px;
}

.introduction,
.section,  .experience, .working-stack {
  position: relative;
}


/*Section - Project professional*/
/* .section{
    display: flex;
    justify-content: center;
    margin-top: -100px;

    background:
    linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(0,0,0,1) 100%),
    black;
} */

/* .section{
    display:flex;
    justify-content:center;
    margin-top:-100px;
    background:black;
} */

.section-proyect-professional{
    width: 1300px !important;
}

h2{
    font-size: 100px;
    text-transform: uppercase;
    font-family: "Syne", sans-serif;
    color: rgb(255, 255, 255);
}

.fa-circle{
    font-size: 20px;
    transform: translateY(-100%);

}

.infinite{
    animation: titulo 5s linear infinite;
  display: inline-block;

}

.marquee {
  width: 100%;
  overflow: hidden;
  margin-top: 150px;
}

.track {
  display: flex;              /* CLAVE */
  width: max-content;         /* CLAVE */
  animation: titulo 20s linear infinite;
}

.track h2 {
  white-space: nowrap;
  margin-right: 50px; /* pequeño espacio elegante entre repeticiones */
  word-spacing: 20px;
  margin-bottom: 150px;
}

@keyframes titulo {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

.project-profesional{
    display: flex;
    justify-content: center;
}

.section__project-profesional{
    max-width: 1300px;
    width: 1300px;
    z-index: 2;
}

.content__project-profesional{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 100px !important;
    animation: appear 500ms;
}

@keyframes appear {
    from{
        opacity: 0;
        transform: translateX(-40px);
    }
    to{
        transform: translateX(0px);
        opacity: 100%;
    }
}

.content__project-profesional img{
    width: 480px;
    height: 250px;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 5px;
    border:3px solid rgb(255, 255, 255);
    filter:grayscale(100%);
    transition: 0.3s all ease;
}

.content__project-profesional:nth-of-type(2){
    transform: translateX(120px);
    animation: appear-two 500ms ease;
}

.content__project-profesional:nth-of-type(2) div{
    transform: translateX(-100px);
}

.content__project-profesional img:hover{
    filter:grayscale(0%);
}

@keyframes appear-two {
    from{
        opacity: 0;
        transform: translateX(80px);
    }
    to{
        transform: translateX(120px);
        opacity: 100%;
    }
}


.content__project-profesional div h3{
    font-size: 30px;
    font-family: "Syne", sans-serif;
    color: #91E0F6;
    text-align: end;
    margin: 0px;
    text-transform: uppercase;
}

.content__project-profesional div ul{
    text-align: end !important;
    list-style: none;
    font-size: 20px !important;
    font-family: "Manrope";
    color: white;
}

.content__project-profesional ul li{
    margin-top:15px;
    /* font-size: 20px !important; */
}

/*Section personal project*/

.section__project-personal{
    display: flex;
    justify-content: center;
    z-index: 2;
}

.project-personal{
    display: flex;
    justify-content: center;
}

.section__project-personal{
    display: flex;
    justify-content: space-between;
    width: 1300px;
}

.content__project-personal{
    width: 25%;
    display: flex;
    justify-content: space-between;
    align-content: space-between;
    height: 380px;
    border-radius: 5px;
    padding: 30px !important; 
    flex-flow: wrap row;
    border: 5px white solid;
    /* transition: transform 20s ease-in-out !important;  */

}

.content__project-personal h3{
    font-size: 30px;
    font-family: "Syne", sans-serif;
    color: #91e0f600;
    margin: 0px;
    text-transform: uppercase;
    text-align: center;
    visibility: hidden;
    flex: 1 100%;
    transition: all 300ms ease;

}

.content__project-personal:hover h3{
    font-size: 30px;
    font-family: "Syne", sans-serif;
    color: #91E0F6;
    text-align: center;
    margin: 0px;
    text-transform: uppercase;
    visibility: visible;

}

.content__project-personal p{
    font-size: 18px;
    color: rgba(255, 255, 255, 0);
    font-family: "Maronpe", sans-serif;
    line-height: 30px;
    transition: all 300ms ease ;
    text-align: center;

}

.content__project-personal:hover p{
    font-size: 18px;
    color: rgb(255, 255, 255);
    font-family: "Maronpe", sans-serif;
    line-height: 30px;
}

.img-personal__1{
    background: url('/public/proyect-personal/Inventory.png');
    filter: brightness(70%);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all 2s ease !important;
}


.img-personal__2{
    background: url('/public/proyect-personal/rgb.png');
    filter: brightness(70%);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all 2s ease !important;

}

.content__project-personal a{
    text-decoration: none !important;
}

.img-personal__1:hover, .img-personal__2:hover{
    background: rgba(0, 0, 0, 0);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    filter: brightness(100%);
    transform: translateY(-20px);

}

.content__project-personal a i.fa-square-figma,
.content__project-personal a i.fa-square-github{
    font-size: 50px;
    width: 50px;
    color: white;
}

/*Experience*/
.experience{
    display: flex;
    justify-content: center;
    margin-top: 150px;
}

.experience h2{
    flex: 1 100%;
    text-align: center !important;
}

.experience__content{
    width: 1300px;
    opacity: 1;
    display: flex;
    justify-content: center;
    flex-flow: wrap row ;
}



.experience__one{
    margin-top: 50px;
}

.content__experience{
    flex: 1 0 100%;
}

.content__experience h3{
    font-size: 40px;
    color: #91E0F6;
    font-family: "syne", sans-serif;
    margin: 25px 0px;
    flex: 1 0 100%;
    text-align: end;
}

.experience__one h3{
    text-align: start;
}

.content__experience span{
    font-size: 30px;
    color: white;
    text-align: end;
    font-family: "syne", sans-serif;
    font-weight: 500;
    flex: 1 0 100%;
}

.content__experience ul li{
    font-size: 18px;
    color: white;
    font-family: 'Manrope', sans-serif;
    font-weight: 500;
    flex: 1 0 100%;
}

.experience__two{
    display: flex;
    justify-content: end;
    flex-flow: wrap row;
    margin-top: 80px;

}


/* .experience__two ul li{
    text-align: end;

} */

/*Working stack*/

.working-stack{
    margin-top: 100px;
    display: flex;
    justify-content: center;
}

.working-stack__content{
    display: flex;
    justify-content: space-between;
    width: 1300px;
    flex-flow: wrap row;
    gap: 50px;
    margin-bottom: 150px;
}

.working-stack__content h2{
    flex: 1 0 100% !important;
    justify-content: center;
    text-align: center;
    margin-bottom: 150px;
    margin-top: 150px !important;
}

.working-stack__content div {
    flex: 1 0 20% !important;
    padding-bottom: 40px;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    flex-flow: wrap row;
    border: 2px solid white;
    border-radius: 3px;
    padding: 20px;
}

.working-stack__content .frontend h3,
.working-stack__content .design h3,
.working-stack__content .data-architecture h3{
    font-size: 35px;
    font-family: 'Syne', sans-serif;
    font-weight: 600;
    color: #91E0F6;
    margin: 0px 0px 20px;
    flex: 1 0 100% !important;
    text-transform: uppercase;
    text-align: center;
}


.working-stack__section span{
    color: white;
    font-size: 18px;
    font-family: 'manrope', sans-serif;
    font-weight: 400;
    padding: 2px 20px;
    background: #ffffff2a;
    border-radius: 30px;
    border: 1px solid white;
    margin-top: 8px !important;
}

footer{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    min-height: 100vh;
    padding: 80px 10%;
    overflow: hidden;
    background:
    linear-gradient(to bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 60%),
    url("/public/imagenes/banner.webp") center/cover no-repeat !important;
}

/* contenido */
.footer-content{
    display: flex;
    flex-direction: column;
    gap: 30px;
    max-width: 1200px;
}

/* redes */
.social-media{
    display: flex;
    gap: 30px;
}

.social-media a{
    display: flex;
    align-items: center;
    gap: 10px;
    font-family: "Syne";
    font-size: 22px;
    font-weight: 600;
    color: black;
    text-decoration: none;
    transition: all .3s ease;
}

.social-media a i{
    font-size: 26px;
}

/* hover elegante */
.social-media a:hover{
    color: white;
    transform: translateY(-2px);
}

/* descripción */
.footer-content p{
    font-family: "Syne";
    font-size: 28px;
    max-width: 600px;
    line-height: 1.4;
}

.footer-content .fa-circle{
    font-size: 8px !important;
    margin-top: 14px !important;
}

/* botón */
.view-project{
    width: fit-content;
    padding: 14px 26px;
    border-radius: 12px;
    border: 3px solid rgba(255, 255, 255, 0.489);
    background: rgba(255, 255, 255, 0);
    backdrop-filter: blur(8px);
    font-size: 18px !important;
    font-weight: 600;
    text-decoration: none;
    color: black;
    transition: all .3s ease;
    font-family: "Syne";
}

.view-project:hover{
    background: white;
    color: black;
    transform: translateY(-2px);
}

/* título grande */
.footer-content h2{
    font-size: clamp(70px, 10vw, 100px);
    font-weight: 800;
    line-height: 0.9;
    margin-top: 40px;
    padding: 0px;
    margin-bottom: 0px;
    color: #000000;
}

.social-media{
    display: flex;
    gap: 20px;
    align-items: center;
}

.social-media a{
    transition: all 1s ease;
}

.social-media a:hover{
    color:white;
}


footer.section a{
    font-size: 40px;
    color: rgb(0, 0, 0);
    text-decoration: none;
    font-weight: 600;

}



main,
.section,
section,
footer{
  position: relative;
}

.circle{
    position:absolute;
    border:1px solid rgba(255,255,255,0.3);
    border-radius:50%;
    opacity:0;
    transform:scale(0.4);
    transition:all 1s ease;
}

.circle.show{
    opacity:0.4;
    transform:scale(1);
}

.content__project-profesional,
.marquee,
.title-working-stack,
.title-experience{
    opacity: 0;
    transform: translateX(-80px);
    transition: all 0.8s ease;
    z-index: 9;
}

.content__project-profesional.show,
.marquee.show,
.title-experience.show,
.title-working-stack.show,
.working-stack__section.show{
    opacity: 1;
    transform: translateX(0);
}

.content__project-personal,
.working-stack__section{
    opacity: 0;
    transform: translateY(-80px);
    transition: all 0.8s ease;
    z-index: 9;
}

.content__project-personal.show{
    opacity: 1;
    transform: translateY(0);
}

.content__project-profesional:nth-child(2){
    transition-delay:0.2s;
}

.content__project-profesional:nth-child(3){
    transition-delay:0.4s;
}

.content__project-profesional{
  opacity:0;
  transform:translateX(-80px);
  transition:all 0.8s ease;
}


.content__project-profesional:nth-child(even){
  transform:translateX(80px);
}

/* estado inicial */
.content__experience{
    opacity: 0;
    transition: all 0.8s ease;
}

/* primero → entra desde la izquierda */
.experience__one{
      opacity: 0;
    transform: translateX(-100px) !important;
}

/* segundo → entra desde la derecha */
.experience__two{
      opacity: 0;
    transform: translateX(80px);
}

/* cuando aparece */
.experience__one.show{
    opacity: 1;
    transform: translateX(0px) !important;
}

.experience__two.show{
    opacity: 1;
    transform: translateX(0px) !important;
}